> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update virtual GPU image

> Update GPU image name, `min_disk`, `min_ram`, or tags.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml patch /cloud/v3/gpu/virtual/{project_id}/{region_id}/images/{image_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/images/{image_id}:
    patch:
      tags:
        - GPU Virtual
      summary: Update virtual GPU image
      description: Update GPU image name, `min_disk`, `min_ram`, or tags.
      operationId: VirtualGpuImageViewSet.patch
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: image_id
          required: true
          description: Image ID
          schema:
            description: Image ID
            example: 8cab6f28-09ca-4201-b3f7-23c7893f4bd6
            examples:
              - 8cab6f28-09ca-4201-b3f7-23c7893f4bd6
            title: Image Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGpuImageSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GpuImageSerializer'
components:
  schemas:
    UpdateGpuImageSerializer:
      properties:
        min_disk:
          description: Minimal boot volume required (GB)
          example: 20
          examples:
            - 20
          maximum: 8192
          minimum: 0
          title: Min Disk
          type: integer
        min_ram:
          description: Minimal RAM required (MB)
          example: 0
          examples:
            - 0
          maximum: 4194304
          minimum: 0
          title: Min Ram
          type: integer
        name:
          description: Image display name
          example: my-gpu-image
          examples:
            - my-gpu-image
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        tags:
          anyOf:
            - $ref: '#/components/schemas/UpdateTagsSerializer'
            - type: 'null'
          description: >-
            Key-value tags to associate with the resource. A tag is a key-value
            pair that can be associated with a resource, enabling efficient
            filtering and grouping for better organization and management. Both
            tag keys and values have a maximum length of 255 characters. Some
            tags are read-only and cannot be modified by the user. Tags are also
            integrated with cost reports, allowing cost data to be filtered
            based on tag keys or values.
          examples:
            - my-tag: my-tag-value
      title: UpdateGpuImageSerializer
      type: object
    GpuImageSerializer:
      properties:
        architecture:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Image architecture type
          examples:
            - x86_64
          title: Architecture
        created_at:
          description: Datetime when the image was created
          example: '2024-05-05T14:51:26.570866'
          examples:
            - '2024-05-05T14:51:26.570866'
          format: date-time
          title: Created At
          type: string
        gpu_driver:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Name of the GPU driver vendor
          examples:
            - nvidia
          title: Gpu Driver
        gpu_driver_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Type of the GPU driver
          examples:
            - open
          title: Gpu Driver Type
        gpu_driver_version:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Version of the installed GPU driver
          examples:
            - 570.148.08
          title: Gpu Driver Version
        id:
          description: Image ID
          example: 44e136a7-15c1-4b5f-a086-20b7b3237d40
          examples:
            - 44e136a7-15c1-4b5f-a086-20b7b3237d40
          format: uuid4
          title: Id
          type: string
        min_disk:
          description: Minimal boot volume required
          example: 1
          examples:
            - 1
          title: Min Disk
          type: integer
        min_ram:
          description: Minimal VM RAM required
          example: 0
          examples:
            - 0
          title: Min Ram
          type: integer
        name:
          description: Image name
          example: ubuntu-23.10-x64
          examples:
            - ubuntu-23.10-x64
          title: Name
          type: string
        os_distro:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: OS Distribution
          examples:
            - ubuntu
          title: Os Distro
        os_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The operating system installed on the image
          examples:
            - linux
          title: Os Type
        os_version:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
          examples:
            - '19.04'
          title: Os Version
        size:
          default: 0
          description: Image size in bytes.
          example: 3758096384
          examples:
            - 3758096384
          title: Size
          type: integer
        ssh_key:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Whether the image supports SSH key or not
          examples:
            - allow
          title: Ssh Key
        status:
          description: Image status
          example: active
          examples:
            - active
          title: Status
          type: string
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        updated_at:
          description: Datetime when the image was updated
          example: '2024-05-05T14:51:26.570866'
          examples:
            - '2024-05-05T14:51:26.570866'
          format: date-time
          title: Updated At
          type: string
        visibility:
          description: Image visibility. Globally visible images are public
          example: public
          examples:
            - public
          title: Visibility
          type: string
      required:
        - id
        - name
        - status
        - min_disk
        - min_ram
        - tags
        - visibility
        - created_at
        - updated_at
      title: GpuImageSerializer
      type: object
    UpdateTagsSerializer:
      patternProperties:
        ^[^\s=]+$:
          anyOf:
            - maxLength: 255
              minLength: 1
              pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
              type: string
            - type: 'null'
          description: >-
            Tag value. Maximum 255 characters. Cannot contain tabs, newlines,
            empty string or start/end with whitespace. Set to `null` in order to
            delete this tag.
          examples:
            - my-tag-value
      propertyNames:
        description: >-
          Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
          newlines, empty string or '=' character.
        examples:
          - my-tag
        maxLength: 255
        minLength: 1
      title: UpdateTagsSerializer
      type: object
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````